/*
 Copyright 2013 Andy Earnshaw, MIT License

 Implements the ECMAScript Internationalization API in ES5-compatible environments,
 following the ECMA-402 specification as closely as possible

 ECMA-402: http://ecma-international.org/ecma-402/1.0/

 CLDR format locale data should be provided using IntlPolyfill.__addLocaleData().
*/
var $jscomp=$jscomp||{};$jscomp.scope={};$jscomp.arrayIteratorImpl=function(e){var l=0;return function(){return l<e.length?{done:!1,value:e[l++]}:{done:!0}}};$jscomp.arrayIterator=function(e){return{next:$jscomp.arrayIteratorImpl(e)}};$jscomp.makeIterator=function(e){var l="undefined"!=typeof Symbol&&Symbol.iterator&&e[Symbol.iterator];return l?l.call(e):$jscomp.arrayIterator(e)};
$jscomp.getGlobal=function(e){e=["object"==typeof globalThis&&globalThis,e,"object"==typeof window&&window,"object"==typeof self&&self,"object"==typeof global&&global];for(var l=0;l<e.length;++l){var n=e[l];if(n&&n.Math==Math)return n}throw Error("Cannot find global object");};$jscomp.global=$jscomp.getGlobal(this);$jscomp.ASSUME_ES5=!1;$jscomp.ASSUME_NO_NATIVE_MAP=!1;$jscomp.ASSUME_NO_NATIVE_SET=!1;$jscomp.SIMPLE_FROUND_POLYFILL=!1;$jscomp.ISOLATE_POLYFILLS=!1;
$jscomp.defineProperty=$jscomp.ASSUME_ES5||"function"==typeof Object.defineProperties?Object.defineProperty:function(e,l,n){e!=Array.prototype&&e!=Object.prototype&&(e[l]=n.value)};$jscomp.polyfills={};$jscomp.propertyToPolyfillSymbol={};$jscomp.POLYFILL_PREFIX="$jscp$";$jscomp.IS_SYMBOL_NATIVE="function"===typeof Symbol&&"symbol"===typeof Symbol("x");var $jscomp$lookupPolyfilledValue=function(e,l){var n=$jscomp.propertyToPolyfillSymbol[l];if(null==n)return e[l];n=e[n];return void 0!==n?n:e[l]};
$jscomp.polyfill=function(e,l,n,p){l&&($jscomp.ISOLATE_POLYFILLS?$jscomp.polyfillIsolated(e,l,n,p):$jscomp.polyfillUnisolated(e,l,n,p))};$jscomp.polyfillUnisolated=function(e,l,n,p){n=$jscomp.global;e=e.split(".");for(p=0;p<e.length-1;p++){var m=e[p];m in n||(n[m]={});n=n[m]}e=e[e.length-1];p=n[e];l=l(p);l!=p&&null!=l&&$jscomp.defineProperty(n,e,{configurable:!0,writable:!0,value:l})};
$jscomp.polyfillIsolated=function(e,l,n,p){var m=e.split(".");e=1===m.length;p=m[0];p=!e&&p in $jscomp.polyfills?$jscomp.polyfills:$jscomp.global;for(var v=0;v<m.length-1;v++){var y=m[v];y in p||(p[y]={});p=p[y]}m=m[m.length-1];n=$jscomp.IS_SYMBOL_NATIVE&&"es6"===n?p[m]:null;l=l(n);null!=l&&(e?$jscomp.defineProperty($jscomp.polyfills,m,{configurable:!0,writable:!0,value:l}):l!==n&&($jscomp.propertyToPolyfillSymbol[m]=$jscomp.IS_SYMBOL_NATIVE?$jscomp.global.Symbol(m):$jscomp.POLYFILL_PREFIX+m,m=$jscomp.propertyToPolyfillSymbol[m],
$jscomp.defineProperty(p,m,{configurable:!0,writable:!0,value:l})))};$jscomp.FORCE_POLYFILL_PROMISE=!1;
$jscomp.polyfill("Promise",function(e){function l(){this.batch_=null}function n(e){return e instanceof m?e:new m(function(l,y){l(e)})}if(e&&!$jscomp.FORCE_POLYFILL_PROMISE)return e;l.prototype.asyncExecute=function(e){if(null==this.batch_){this.batch_=[];var l=this;this.asyncExecuteFunction(function(){l.executeBatch_()})}this.batch_.push(e)};var p=$jscomp.global.setTimeout;l.prototype.asyncExecuteFunction=function(e){p(e,0)};l.prototype.executeBatch_=function(){for(;this.batch_&&this.batch_.length;){var e=
this.batch_;this.batch_=[];for(var l=0;l<e.length;++l){var m=e[l];e[l]=null;try{m()}catch(N){this.asyncThrow_(N)}}}this.batch_=null};l.prototype.asyncThrow_=function(e){this.asyncExecuteFunction(function(){throw e;})};var m=function(e){this.state_=0;this.result_=void 0;this.onSettledCallbacks_=[];var l=this.createResolveAndReject_();try{e(l.resolve,l.reject)}catch(M){l.reject(M)}};m.prototype.createResolveAndReject_=function(){function e(e){return function(n){m||(m=!0,e.call(l,n))}}var l=this,m=!1;
return{resolve:e(this.resolveTo_),reject:e(this.reject_)}};m.prototype.resolveTo_=function(e){if(e===this)this.reject_(new TypeError("A Promise cannot resolve to itself"));else if(e instanceof m)this.settleSameAsPromise_(e);else{a:switch(typeof e){case "object":var l=null!=e;break a;case "function":l=!0;break a;default:l=!1}l?this.resolveToNonPromiseObj_(e):this.fulfill_(e)}};m.prototype.resolveToNonPromiseObj_=function(e){var l=void 0;try{l=e.then}catch(M){this.reject_(M);return}"function"==typeof l?
this.settleSameAsThenable_(l,e):this.fulfill_(e)};m.prototype.reject_=function(e){this.settle_(2,e)};m.prototype.fulfill_=function(e){this.settle_(1,e)};m.prototype.settle_=function(e,l){if(0!=this.state_)throw Error("Cannot settle("+e+", "+l+"): Promise already settled in state"+this.state_);this.state_=e;this.result_=l;this.executeOnSettledCallbacks_()};m.prototype.executeOnSettledCallbacks_=function(){if(null!=this.onSettledCallbacks_){for(var e=0;e<this.onSettledCallbacks_.length;++e)v.asyncExecute(this.onSettledCallbacks_[e]);
this.onSettledCallbacks_=null}};var v=new l;m.prototype.settleSameAsPromise_=function(e){var l=this.createResolveAndReject_();e.callWhenSettled_(l.resolve,l.reject)};m.prototype.settleSameAsThenable_=function(e,l){var m=this.createResolveAndReject_();try{e.call(l,m.resolve,m.reject)}catch(N){m.reject(N)}};m.prototype.then=function(e,l){function n(e,l){return"function"==typeof e?function(l){try{p(e(l))}catch(K){v(K)}}:l}var p,v,y=new m(function(e,l){p=e;v=l});this.callWhenSettled_(n(e,p),n(l,v));return y};
m.prototype.catch=function(e){return this.then(void 0,e)};m.prototype.callWhenSettled_=function(e,l){function m(){switch(n.state_){case 1:e(n.result_);break;case 2:l(n.result_);break;default:throw Error("Unexpected state: "+n.state_);}}var n=this;null==this.onSettledCallbacks_?v.asyncExecute(m):this.onSettledCallbacks_.push(m)};m.resolve=n;m.reject=function(e){return new m(function(l,m){m(e)})};m.race=function(e){return new m(function(l,m){for(var p=$jscomp.makeIterator(e),v=p.next();!v.done;v=p.next())n(v.value).callWhenSettled_(l,
m)})};m.all=function(e){var l=$jscomp.makeIterator(e),p=l.next();return p.done?n([]):new m(function(e,m){function v(l){return function(m){y[l]=m;C--;0==C&&e(y)}}var y=[],C=0;do y.push(void 0),C++,n(p.value).callWhenSettled_(v(y.length-1),m),p=l.next();while(!p.done)})};return m},"es6","es3");$jscomp.owns=function(e,l){return Object.prototype.hasOwnProperty.call(e,l)};
$jscomp.assign="function"==typeof Object.assign?Object.assign:function(e,l){for(var n=1;n<arguments.length;n++){var p=arguments[n];if(p)for(var m in p)$jscomp.owns(p,m)&&(e[m]=p[m])}return e};$jscomp.polyfill("Object.assign",function(e){return e||$jscomp.assign},"es6","es3");
$jscomp.polyfill("Array.from",function(e){return e?e:function(e,n,p){n=null!=n?n:function(e){return e};var l=[],v="undefined"!=typeof Symbol&&Symbol.iterator&&e[Symbol.iterator];if("function"==typeof v){e=v.call(e);for(var y=0;!(v=e.next()).done;)l.push(n.call(p,v.value,y++))}else for(v=e.length,y=0;y<v;y++)l.push(n.call(p,e[y],y));return l}},"es6","es3");
$jscomp.checkStringArgs=function(e,l,n){if(null==e)throw new TypeError("The 'this' value for String.prototype."+n+" must not be null or undefined");if(l instanceof RegExp)throw new TypeError("First argument to String.prototype."+n+" must not be a regular expression");return e+""};
$jscomp.polyfill("String.prototype.codePointAt",function(e){return e?e:function(e){var l=$jscomp.checkStringArgs(this,null,"codePointAt"),p=l.length;e=Number(e)||0;if(0<=e&&e<p){e|=0;var m=l.charCodeAt(e);if(55296>m||56319<m||e+1===p)return m;e=l.charCodeAt(e+1);return 56320>e||57343<e?m:1024*(m-55296)+e+9216}}},"es6","es3");$jscomp.polyfill("Number.isFinite",function(e){return e?e:function(e){return"number"!==typeof e?!1:!isNaN(e)&&Infinity!==e&&-Infinity!==e}},"es6","es3");
$jscomp.SYMBOL_PREFIX="jscomp_symbol_";$jscomp.initSymbol=function(){$jscomp.initSymbol=function(){};$jscomp.global.Symbol||($jscomp.global.Symbol=$jscomp.Symbol)};$jscomp.SymbolClass=function(e,l){this.$jscomp$symbol$id_=e;$jscomp.defineProperty(this,"description",{configurable:!0,writable:!0,value:l})};$jscomp.SymbolClass.prototype.toString=function(){return this.$jscomp$symbol$id_};
$jscomp.Symbol=function(){function e(n){if(this instanceof e)throw new TypeError("Symbol is not a constructor");return new $jscomp.SymbolClass($jscomp.SYMBOL_PREFIX+(n||"")+"_"+l++,n)}var l=0;return e}();
$jscomp.initSymbolIterator=function(){$jscomp.initSymbol();var e=$jscomp.global.Symbol.iterator;e||(e=$jscomp.global.Symbol.iterator=$jscomp.global.Symbol("Symbol.iterator"));"function"!=typeof Array.prototype[e]&&$jscomp.defineProperty(Array.prototype,e,{configurable:!0,writable:!0,value:function(){return $jscomp.iteratorPrototype($jscomp.arrayIteratorImpl(this))}});$jscomp.initSymbolIterator=function(){}};
$jscomp.initSymbolAsyncIterator=function(){$jscomp.initSymbol();var e=$jscomp.global.Symbol.asyncIterator;e||(e=$jscomp.global.Symbol.asyncIterator=$jscomp.global.Symbol("Symbol.asyncIterator"));$jscomp.initSymbolAsyncIterator=function(){}};$jscomp.iteratorPrototype=function(e){$jscomp.initSymbolIterator();e={next:e};e[$jscomp.global.Symbol.iterator]=function(){return this};return e};
$jscomp.iteratorFromArray=function(e,l){$jscomp.initSymbolIterator();e instanceof String&&(e+="");var n=0,p={next:function(){if(n<e.length){var m=n++;return{value:l(m,e[m]),done:!1}}p.next=function(){return{done:!0,value:void 0}};return p.next()}};p[Symbol.iterator]=function(){return p};return p};$jscomp.polyfill("Array.prototype.keys",function(e){return e?e:function(){return $jscomp.iteratorFromArray(this,function(e){return e})}},"es6","es3");
(function(e,l){"object"===typeof exports&&"undefined"!==typeof module?module.exports=l():"function"===typeof define&&define.amd?define(l):e.IntlPolyfill=l()})(this,function(){function e(g){for(var f in g)(g instanceof e||q.call(g,f))&&w(this,f,{value:g[f],enumerable:!0,writable:!0,configurable:!0})}function l(){w(this,"length",{writable:!0,value:0});arguments.length&&x.apply(this,O.call(arguments))}function n(){if(z.disableRegExpRestore)return function(){};for(var g={lastMatch:RegExp.lastMatch||"",
leftContext:RegExp.leftContext,multiline:RegExp.multiline,input:RegExp.input},f=!1,a=1;9>=a;a++)f=(g["$"+a]=RegExp["$"+a])||f;return function(){var a=/[.?*+^$[\]\\(){}|-]/g,b=g.lastMatch.replace(a,"\\$&"),d="";if(f)for(var r=1;9>=r;r++){var k=g["$"+r];k?(k=k.replace(a,"\\$&"),d+=b.substring(0,b.indexOf(k))+"(",b=k+")"+b.substring(b.indexOf(k)+k.length)):(d+="(",b=")"+b)}d=(d+b).replace(/((^|[^\\])((\\\\)*\\[()])+|[^()])+/g,function(a){return"[\\s\\S]{"+a.replace(/\\(.)/g,"$1").length+"}"});a=new RegExp(d,
g.multiline?"gm":"g");a.lastIndex=g.leftContext.length;a.exec(g.input)}}function p(g){if(null===g)throw new TypeError("Cannot convert null or undefined to object");return"object"===("undefined"===typeof g?"undefined":D["typeof"](g))?g:Object(g)}function m(g){return"number"===typeof g?g:Number(g)}function v(g){return q.call(g,"__getInternalProperties")?g.__getInternalProperties(P):E(null)}function y(g){for(var f=g.length;f--;){var a=g.charAt(f);"a"<=a&&"z">=a&&(g=g.slice(0,f)+a.toUpperCase()+g.slice(f+
1))}return g}function da(g){return!xa.test(g)||ya.test(g)||za.test(g)?!1:!0}function M(g){var f=void 0;g=g.toLowerCase();g=g.split("-");for(var a=1,c=g.length;a<c;a++)if(2===g[a].length)g[a]=g[a].toUpperCase();else if(4===g[a].length)g[a]=g[a].charAt(0).toUpperCase()+g[a].slice(1);else if(1===g[a].length&&"x"!==g[a])break;g=F.call(g,"-");(f=g.match(ha))&&1<f.length&&(f.sort(),g=g.replace(RegExp("(?:"+ha.source+")+","i"),F.call(f,"")));q.call(L.tags,g)&&(g=L.tags[g]);g=g.split("-");f=1;for(a=g.length;f<
a;f++)q.call(L.subtags,g[f])?g[f]=L.subtags[g[f]]:q.call(L.extLang,g[f])&&(g[f]=L.extLang[g[f]][0],1===f&&L.extLang[g[1]][1]===g[0]&&(g=O.call(g,f++),--a));return F.call(g,"-")}function N(g){g=y(String(g));return!1===Aa.test(g)?!1:!0}function C(g){if(void 0===g)return new l;var f=new l;g="string"===typeof g?[g]:g;g=p(g);var a=m(g.length);a=isNaN(a)?0:0===a||-0===a||Infinity===a||-Infinity===a?a:0>a?-1*Math.floor(Math.abs(a)):Math.floor(Math.abs(a));a=0>=a?0:Infinity===a?Math.pow(2,53)-1:Math.min(a,
Math.pow(2,53)-1);for(var c=0;c<a;){var b=String(c);if(b in g){b=g[b];if(null===b||"string"!==typeof b&&"object"!==("undefined"===typeof b?"undefined":D["typeof"](b)))throw new TypeError("String or Object type expected");b=String(b);if(!da(b))throw new RangeError("'"+b+"' is not a structurally valid language tag");b=M(b);-1===J.call(f,b)&&x.call(f,b)}c++}return f}function ea(g,f){for(;f;){if(-1<J.call(g,f))return f;var a=f.lastIndexOf("-");if(0>a)break;2<=a&&"-"===f.charAt(a-2)&&(a-=2);f=f.substring(0,
a)}}function X(g,f,a,c,b){if(0===g.length)throw new ReferenceError("No locale data has been provided for this object yet.");for(var d=0,r=f.length,k=void 0,h=void 0,l=void 0;d<r&&!k;)h=f[d],l=String(h).replace(Z,""),k=ea(g,l),d++;g=new e;void 0!==k?(g["[[locale]]"]=k,String(h)!==String(l)&&(k=h.match(Z)[0],h=h.indexOf("-u-"),g["[[extension]]"]=k,g["[[extensionIndex]]"]=h)):g["[[locale]]"]=aa;h=g["[[locale]]"];f=l=void 0;if(q.call(g,"[[extension]]")){k=g["[[extension]]"];l=k.length;if(0===l)l=[];else{g=
[];r=!0;for(var u=d=f=3;f<l;)45===k.codePointAt(f)&&(2===f-d?(1<d-u&&(r=k.substring(u,d-1),g.push(r)),d=k.substring(d,f),g.push(d),u=f+1,r=!1):!0===r&&(d=k.substring(d,f),g.push(d),u=f+1),d=f+1),f+=1;2===l-d&&(1<d-u&&(f=k.substring(u,d-1),g.push(f)),u=d);k=k.substring(u,l);g.push(k);l=g}f=l.length}g=new e;g["[[dataLocale]]"]=h;k="-u";d=0;for(r=c.length;d<r;){u=c[d];var m=b[h][u],n=m["0"],p="",v=J;if(void 0!==l){var t=v.call(l,u);-1!==t&&(t+1<f&&2<l[t+1].length?(t=l[t+1],-1!==v.call(m,t)&&(n=t,p="-"+
u+"-"+n)):-1!==v(m,"true")&&(n="true"))}q.call(a,"[["+u+"]]")&&(t=a["[["+u+"]]"],-1!==v.call(m,t)&&t!==n&&(n=t,p=""));g["[["+u+"]]"]=n;k+=p;d++}2<k.length&&(c=h.indexOf("-x-"),-1===c?h+=k:(a=h.substring(0,c),c=h.substring(c),h=a+k+c),h=M(h));g["[[locale]]"]=h;return g}function Y(g,f,a){if(void 0!==a&&(a=new e(p(a)),a=a.localeMatcher,void 0!==a&&(a=String(a),"lookup"!==a&&"best fit"!==a)))throw new RangeError('matcher should be "lookup" or "best fit"');a=f.length;for(var c=new l,b=0;b<a;){var d=f[b],
r=String(d).replace(Z,"");void 0!==ea(g,r)&&x.call(c,d);b++}g=O.call(c);for(var k in g)q.call(g,k)&&w(g,k,{writable:!1,configurable:!1,value:g[k]});try{w(g,"length",{writable:!1})}catch(fa){}return g}function A(g,f,a,c,b){g=g[f];if(void 0!==g){g="boolean"===a?!!g:"string"===a?String(g):g;if(void 0!==c&&-1===J.call(c,g))throw new RangeError("'"+g+"' is not an allowed value for `"+f+"`");return g}return b}function K(g,f,a,c,b){g=g[f];if(void 0!==g){g=Number(g);if(isNaN(g)||g<a||g>c)throw new RangeError("Value is not a number or outside accepted range");
return Math.floor(g)}return b}function ia(g,f){return this&&this!==t?Ea(p(this),g,f):new t.NumberFormat(g,f)}function ja(g,f,a){var c=K(f,"minimumIntegerDigits",1,21,1);a=K(f,"minimumFractionDigits",0,20,a);var b=K(f,"maximumFractionDigits",a,20),d=f.minimumSignificantDigits,r=f.maximumSignificantDigits;g["[[minimumIntegerDigits]]"]=c;g["[[minimumFractionDigits]]"]=a;g["[[maximumFractionDigits]]"]=b;if(void 0!==d||void 0!==r)d=K(f,"minimumSignificantDigits",1,21,1),r=K(f,"maximumSignificantDigits",
d,21,21),g["[[minimumSignificantDigits]]"]=d,g["[[maximumSignificantDigits]]"]=r}function Ea(g,f,a){var c=v(g),b=n();if(!0===c["[[initializedIntlObject]]"])throw new TypeError("`this` object has already been initialized as an Intl object");w(g,"__getInternalProperties",{value:function(a){if(a===P)return c}});c["[[initializedIntlObject]]"]=!0;var d=C(f);a=void 0===a?{}:p(a);var r=new e;f=A(a,"localeMatcher","string",new l("lookup","best fit"),"best fit");r["[[localeMatcher]]"]=f;f=z.NumberFormat["[[localeData]]"];
d=X(z.NumberFormat["[[availableLocales]]"],d,r,z.NumberFormat["[[relevantExtensionKeys]]"],f);c["[[locale]]"]=d["[[locale]]"];c["[[numberingSystem]]"]=d["[[nu]]"];c["[[dataLocale]]"]=d["[[dataLocale]]"];d=d["[[dataLocale]]"];r=A(a,"style","string",new l("decimal","percent","currency"),"decimal");c["[[style]]"]=r;var k=A(a,"currency","string");if(void 0!==k&&!N(k))throw new RangeError("'"+k+"' is not a valid currency code");if("currency"===r&&void 0===k)throw new TypeError("Currency code is required when style is currency");
var h=void 0;"currency"===r&&(k=k.toUpperCase(),c["[[currency]]"]=k,h=void 0!==ka[k]?ka[k]:2);k=A(a,"currencyDisplay","string",new l("code","symbol","name"),"symbol");"currency"===r&&(c["[[currencyDisplay]]"]=k);ja(c,a,"currency"===r?h:0);void 0===c["[[maximumFractionDigits]]"]&&(c["[[maximumFractionDigits]]"]="currency"===r?Math.max(c["[[minimumFractionDigits]]"],h):"percent"===r?Math.max(c["[[minimumFractionDigits]]"],0):Math.max(c["[[minimumFractionDigits]]"],3));a=A(a,"useGrouping","boolean",
void 0,!0);c["[[useGrouping]]"]=a;a=f[d].patterns[r];c["[[positivePattern]]"]=a.positivePattern;c["[[negativePattern]]"]=a.negativePattern;c["[[boundFormat]]"]=void 0;c["[[initializedNumberFormat]]"]=!0;la&&(g.format=ma.call(g));b();return g}function ma(){var g=null!==this&&"object"===D["typeof"](this)&&v(this);if(!g||!g["[[initializedNumberFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.NumberFormat object.");if(void 0===g["[[boundFormat]]"]){var f=Q.call(function(a){return T(this,
Number(a))},this);g["[[boundFormat]]"]=f}return g["[[boundFormat]]"]}function Fa(g,f){var a=v(g);if(q.call(a,"[[minimumSignificantDigits]]")&&q.call(a,"[[maximumSignificantDigits]]")){g=a["[[minimumSignificantDigits]]"];var c=a["[[maximumSignificantDigits]]"];if(0===f)f=F.call(Array(c+1),"0"),a=0;else{a=Math.abs(f);if("function"===typeof Math.log10)a=Math.floor(Math.log10(a));else{var b=Math.round(Math.log(a)*Math.LOG10E);a=b-(Number("1e"+b)>a)}b=Math.round(Math.exp(Math.abs(a-c+1)*Math.LN10));f=
String(Math.round(0>a-c+1?f*b:f/b))}if(a>=c)g=f+F.call(Array(a-c+2),"0");else{if(a!==c-1&&(0<=a?f=f.slice(0,a+1)+"."+f.slice(a+1):0>a&&(f="0."+F.call(Array(-(a+1)+1),"0")+f),0<=f.indexOf(".")&&c>g)){for(g=c-g;0<g&&"0"===f.charAt(f.length-1);)f=f.slice(0,-1),g--;"."===f.charAt(f.length-1)&&(f=f.slice(0,-1))}g=f}}else{g=a["[[minimumIntegerDigits]]"];c=a["[[minimumFractionDigits]]"];a=a["[[maximumFractionDigits]]"];f*=Math.pow(10,a);f=0===f?"0":f.toFixed(0);b=void 0;var d=-1<(b=f.indexOf("e"))?f.slice(b+
1):0;d&&(f=f.slice(0,b).replace(".",""),f+=F.call(Array(d-(f.length-1)+1),"0"));0!==a?(d=f.length,d<=a&&(f=F.call(Array(a+1-d+1),"0")+f,d=a+1),b=f.substring(0,d-a),f=f.substring(d-a,f.length),f=b+"."+f,b=b.length):b=f.length;for(c=a-c;0<c&&"0"===f.slice(-1);)f=f.slice(0,-1),c--;"."===f.slice(-1)&&(f=f.slice(0,-1));b<g&&(f=F.call(Array(g-b+1),"0")+f);g=f}return g}function na(g,f){var a=v(g),c=a["[[numberingSystem]]"],b=z.NumberFormat["[[localeData]]"][a["[[dataLocale]]"]],d=b.symbols[c]||b.symbols.latn,
r=void 0;!isNaN(f)&&0>f?(f=-f,r=a["[[negativePattern]]"]):r=a["[[positivePattern]]"];for(var k=new l,e=r.indexOf("{",0),h=0,u=0,m=r.length;-1<e&&e<m;){h=r.indexOf("}",e);if(-1===h)throw Error();e>u&&(u=r.substring(u,e),x.call(k,{"[[type]]":"literal","[[value]]":u}));u=r.substring(e+1,h);if("number"===u)if(isNaN(f))x.call(k,{"[[type]]":"nan","[[value]]":d.nan});else if(isFinite(f)){"percent"===a["[[style]]"]&&(f*=100);var n=Fa(g,f);oa[c]?function(){var a=oa[c];n=String(n).replace(/\d/g,function(b){return a[b]})}():
n=String(n);u=e=void 0;u=n.indexOf(".",0);0<u?(e=n.substring(0,u),u=n.substring(u+1,u.length)):(e=n,u=void 0);if(!0===a["[[useGrouping]]"]){var p=d.group,t=[],q=b.patterns.primaryGroupSize||3,w=b.patterns.secondaryGroupSize||q;if(e.length>q){q=e.length-q;var y=q%w,A=e.slice(0,y);for(A.length&&x.call(t,A);y<q;)x.call(t,e.slice(y,y+w)),y+=w;x.call(t,e.slice(q))}else x.call(t,e);if(0===t.length)throw Error();for(;t.length;)e=pa.call(t),x.call(k,{"[[type]]":"integer","[[value]]":e}),t.length&&x.call(k,
{"[[type]]":"group","[[value]]":p})}else x.call(k,{"[[type]]":"integer","[[value]]":e});void 0!==u&&(x.call(k,{"[[type]]":"decimal","[[value]]":d.decimal}),x.call(k,{"[[type]]":"fraction","[[value]]":u}))}else x.call(k,{"[[type]]":"infinity","[[value]]":d.infinity});else"plusSign"===u?x.call(k,{"[[type]]":"plusSign","[[value]]":d.plusSign}):"minusSign"===u?x.call(k,{"[[type]]":"minusSign","[[value]]":d.minusSign}):"percentSign"===u&&"percent"===a["[[style]]"]?x.call(k,{"[[type]]":"literal","[[value]]":d.percentSign}):
"currency"===u&&"currency"===a["[[style]]"]?(e=a["[[currency]]"],u=void 0,"code"===a["[[currencyDisplay]]"]?u=e:"symbol"===a["[[currencyDisplay]]"]?u=b.currencies[e]||e:"name"===a["[[currencyDisplay]]"]&&(u=e),x.call(k,{"[[type]]":"currency","[[value]]":u})):(e=r.substring(e,h),x.call(k,{"[[type]]":"literal","[[value]]":e}));u=h+1;e=r.indexOf("{",u)}u<m&&(g=r.substring(u,m),x.call(k,{"[[type]]":"literal","[[value]]":g}));return k}function T(g,f){g=na(g,f);f="";for(var a=0;g.length>a;a++)f+=g[a]["[[value]]"];
return f}function qa(g){g.pattern12=g.extendedPattern.replace(/'([^']*)'/g,function(f,a){return a?a:"'"});g.pattern=g.pattern12.replace("{ampm}","").replace(Ga,"");return g}function ra(g,f){switch(g.charAt(0)){case "G":return f.era=["short","short","short","long","narrow"][g.length-1],"{era}";case "y":case "Y":case "u":case "U":case "r":return f.year=2===g.length?"2-digit":"numeric","{year}";case "Q":case "q":return f.quarter=["numeric","2-digit","short","long","narrow"][g.length-1],"{quarter}";case "M":case "L":return f.month=
["numeric","2-digit","short","long","narrow"][g.length-1],"{month}";case "w":return f.week=2===g.length?"2-digit":"numeric","{weekday}";case "W":return f.week="numeric","{weekday}";case "d":return f.day=2===g.length?"2-digit":"numeric","{day}";case "D":case "F":case "g":return f.day="numeric","{day}";case "E":return f.weekday="short short short long narrow short".split(" ")[g.length-1],"{weekday}";case "e":return f.weekday="numeric 2-digit short long narrow short".split(" ")[g.length-1],"{weekday}";
case "c":return f.weekday=["numeric",void 0,"short","long","narrow","short"][g.length-1],"{weekday}";case "a":case "b":case "B":return f.hour12=!0,"{ampm}";case "h":case "H":return f.hour=2===g.length?"2-digit":"numeric","{hour}";case "k":case "K":return f.hour12=!0,f.hour=2===g.length?"2-digit":"numeric","{hour}";case "m":return f.minute=2===g.length?"2-digit":"numeric","{minute}";case "s":return f.second=2===g.length?"2-digit":"numeric","{second}";case "S":case "A":return f.second="numeric","{second}";
case "z":case "Z":case "O":case "v":case "V":case "X":case "x":return f.timeZoneName=4>g.length?"short":"long","{timeZoneName}"}}function ba(g,f){if(!Ha.test(f)){var a={originalPattern:f,_:{}};a.extendedPattern=f.replace(sa,function(c){return ra(c,a._)});g.replace(sa,function(c){return ra(c,a)});return qa(a)}}function U(g,f,a,c,b){g=g[f]&&g[f][a]?g[f][a]:g.gregory[a];f={narrow:["short","long"],short:["long","narrow"],long:["short","narrow"]};c=q.call(g,c)?g[c]:q.call(g,f[c][0])?g[f[c][0]]:g[f[c][1]];
return null!==b?c[b]:c}function R(g,f){return this&&this!==t?Ia(p(this),g,f):new t.DateTimeFormat(g,f)}function Ia(g,f,a){var c=v(g),b=n();if(!0===c["[[initializedIntlObject]]"])throw new TypeError("`this` object has already been initialized as an Intl object");w(g,"__getInternalProperties",{value:function(a){if(a===P)return c}});c["[[initializedIntlObject]]"]=!0;var d=C(f);a=V(a,"any","date");f=new e;var r=A(a,"localeMatcher","string",new l("lookup","best fit"),"best fit");f["[[localeMatcher]]"]=
r;var k=z.DateTimeFormat;r=k["[[localeData]]"];f=X(k["[[availableLocales]]"],d,f,k["[[relevantExtensionKeys]]"],r);c["[[locale]]"]=f["[[locale]]"];c["[[calendar]]"]=f["[[ca]]"];c["[[numberingSystem]]"]=f["[[nu]]"];c["[[dataLocale]]"]=f["[[dataLocale]]"];k=f["[[dataLocale]]"];f=a.timeZone;if(void 0!==f&&(f=y(f),"UTC"!==f))throw new RangeError("timeZone is not supported.");c["[[timeZone]]"]=f;f=new e;for(var h in B)q.call(B,h)&&(d=A(a,h,"string",B[h]),f["[["+h+"]]"]=d);d=void 0;h=r[k];d=Ja(h.formats);
r=A(a,"formatMatcher","string",new l("basic","best fit"),"best fit");h.formats=d;"basic"===r?d=Ka(f,d):(r=A(a,"hour12","boolean"),f.hour12=void 0===r?h.hour12:r,d=La(f,d));for(var m in B)q.call(B,m)&&q.call(d,m)&&(f=d[m],f=d._&&q.call(d._,m)?d._[m]:f,c["[["+m+"]]"]=f);m=void 0;a=A(a,"hour12","boolean");c["[[hour]]"]?(a=void 0===a?h.hour12:a,c["[[hour12]]"]=a,!0===a?(c["[[hourNo0]]"]=h.hourNo0,m=d.pattern12):m=d.pattern):m=d.pattern;c["[[pattern]]"]=m;c["[[boundFormat]]"]=void 0;c["[[initializedDateTimeFormat]]"]=
!0;la&&(g.format=ta.call(g));b();return g}function Ja(g){if("[object Array]"===Object.prototype.toString.call(g))return g;var f=g.availableFormats,a=g.timeFormats,c=g.dateFormats,b=[],d=void 0,e,k=[],h=[];for(d in f)if(f.hasOwnProperty(d)){var l=f[d];if(e=ba(d,l)){b.push(e);a:{l=e;for(var m=0;m<G.length;m+=1)if(l.hasOwnProperty(G[m])){l=!1;break a}l=!0}if(l)h.push(e);else{a:{l=e;for(m=0;m<H.length;m+=1)if(l.hasOwnProperty(H[m])){l=!1;break a}l=!0}l&&k.push(e)}}}for(d in a)a.hasOwnProperty(d)&&(l=
a[d],e=ba(d,l))&&(b.push(e),k.push(e));for(d in c)c.hasOwnProperty(d)&&(l=c[d],e=ba(d,l))&&(b.push(e),h.push(e));for(f=0;f<k.length;f+=1)for(a=0;a<h.length;a+=1){l="long"===h[a].month?h[a].weekday?g.full:g.long:"short"===h[a].month?g.medium:g.short;d=h[a];e=k[f];c={_:{}};for(m=0;m<H.length;m+=1)d[H[m]]&&(c[H[m]]=d[H[m]]),d._[H[m]]&&(c._[H[m]]=d._[H[m]]);for(d=0;d<G.length;d+=1)e[G[d]]&&(c[G[d]]=e[G[d]]),e._[G[d]]&&(c._[G[d]]=e._[G[d]]);e=c;e.originalPattern=l;e.extendedPattern=l.replace("{0}",k[f].extendedPattern).replace("{1}",
h[a].extendedPattern).replace(/^[,\s]+|[,\s]+$/gi,"");b.push(qa(e))}return b}function V(g,f,a){if(void 0===g)g=null;else{var c=p(g);g=new e;for(var b in c)g[b]=c[b]}g=E(g);c=!0;if("date"===f||"any"===f)if(void 0!==g.weekday||void 0!==g.year||void 0!==g.month||void 0!==g.day)c=!1;if("time"===f||"any"===f)if(void 0!==g.hour||void 0!==g.minute||void 0!==g.second)c=!1;!c||"date"!==a&&"all"!==a||(g.year=g.month=g.day="numeric");!c||"time"!==a&&"all"!==a||(g.hour=g.minute=g.second="numeric");return g}function Ka(g,
f){for(var a=-Infinity,c=void 0,b=0,d=f.length;b<d;){var e=f[b],k=0,h;for(h in B)if(q.call(B,h)){var l=g["[["+h+"]]"],m=q.call(e,h)?e[h]:void 0;if(void 0===l&&void 0!==m)k-=20;else if(void 0!==l&&void 0===m)k-=120;else{var n=["2-digit","numeric","narrow","short","long"];l=J.call(n,l);m=J.call(n,m);m=Math.max(Math.min(m-l,2),-2);2===m?k-=6:1===m?k-=3:-1===m?k-=6:-2===m&&(k-=8)}}k>a&&(a=k,c=e);b++}return c}function La(g,f){var a=[];for(c in B)q.call(B,c)&&void 0!==g["[["+c+"]]"]&&a.push(c);if(1===a.length){var c=
a[0];a=g["[["+a[0]+"]]"];if(ca[c]&&ca[c][a]){var b;a=(b={originalPattern:ca[c][a],_:S({},c,a),extendedPattern:"{"+c+"}"},S(b,c,a),S(b,"pattern12","{"+c+"}"),S(b,"pattern","{"+c+"}"),b)}else a=void 0;if(a)return a}b=-Infinity;a=void 0;c=0;for(var d=f.length;c<d;){var e=f[c],k=0,h;for(h in B)if(q.call(B,h)){var l=g["[["+h+"]]"],m=q.call(e,h)?e[h]:void 0,n=q.call(e._,h)?e._[h]:void 0;l!==n&&(k-=2);void 0===l&&void 0!==m?k-=20:void 0!==l&&void 0===m?k-=120:(n=["2-digit","numeric","narrow","short","long"],
l=J.call(n,l),m=J.call(n,m),n=Math.max(Math.min(m-l,2),-2),1>=m&&2<=l||2<=m&&1>=l?0<n?k-=6:0>n&&(k-=8):1<n?k-=3:-1>n&&(k-=6))}e._.hour12!==g.hour12&&--k;k>b&&(b=k,a=e);c++}return a}function ta(){var g=null!==this&&"object"===D["typeof"](this)&&v(this);if(!g||!g["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.DateTimeFormat object.");if(void 0===g["[[boundFormat]]"]){var f=Q.call(function(){var a=0<arguments.length&&void 0!==arguments[0]?arguments[0]:
void 0;a=void 0===a?Date.now():m(a);return W(this,a)},this);g["[[boundFormat]]"]=f}return g["[[boundFormat]]"]}function ua(g,f){if(!isFinite(f))throw new RangeError("Invalid valid date passed to format");g=g.__getInternalProperties(P);n();var a=g["[[locale]]"],c=new t.NumberFormat([a],{useGrouping:!1}),b=new t.NumberFormat([a],{minimumIntegerDigits:2,useGrouping:!1});f=new Date(f);var d="get"+(g["[[timeZone]]"]||"");f=new e({"[[weekday]]":f[d+"Day"](),"[[era]]":+(0<=f[d+"FullYear"]()),"[[year]]":f[d+
"FullYear"](),"[[month]]":f[d+"Month"](),"[[day]]":f[d+"Date"](),"[[hour]]":f[d+"Hours"](),"[[minute]]":f[d+"Minutes"](),"[[second]]":f[d+"Seconds"](),"[[inDST]]":!1});d=g["[[pattern]]"];for(var h=new l,k=0,m=d.indexOf("{"),p=0,u=z.DateTimeFormat["[[localeData]]"][g["[[dataLocale]]"]].calendars,v=g["[[calendar]]"];-1!==m;){var q=void 0;p=d.indexOf("}",m);if(-1===p)throw Error("Unclosed pattern");m>k&&x.call(h,{type:"literal",value:d.substring(k,m)});k=d.substring(m+1,p);if(B.hasOwnProperty(k)){m=
g["[["+k+"]]"];var w=f["[["+k+"]]"];"year"===k&&0>=w?w=1-w:"month"===k?w++:"hour"===k&&!0===g["[[hour12]]"]&&(w%=12,0===w&&!0===g["[[hourNo0]]"]&&(w=12));if("numeric"===m)q=T(c,w);else if("2-digit"===m)q=T(b,w),2<q.length&&(q=q.slice(-2));else if(m in Ma)switch(k){case "month":q=U(u,v,"months",m,f["[["+k+"]]"]);break;case "weekday":try{q=U(u,v,"days",m,f["[["+k+"]]"])}catch(Da){throw Error("Could not find weekday data for locale "+a);}break;case "timeZoneName":q="";break;case "era":try{q=U(u,v,"eras",
m,f["[["+k+"]]"])}catch(Da){throw Error("Could not find era data for locale "+a);}break;default:q=f["[["+k+"]]"]}x.call(h,{type:k,value:q})}else"ampm"===k?(q=U(u,v,"dayPeriods",11<f["[[hour]]"]?"pm":"am",null),x.call(h,{type:"dayPeriod",value:q})):x.call(h,{type:"literal",value:d.substring(m,p+1)});k=p+1;m=d.indexOf("{",k)}p<d.length-1&&x.call(h,{type:"literal",value:d.substr(p+1)});return h}function W(g,f){g=ua(g,f);f="";for(var a=0;g.length>a;a++)f+=g[a].value;return f}function va(g,f){return this&&
this!==t?Na(p(this),g,f):new t.PluralRules(g,f)}function Na(g,f,a){var c=v(g);if(!0===c["[[InitializedIntlObject]]"])throw new TypeError("`this` object has already been initialized as an Intl object");w(g,"__getInternalProperties",{value:function(a){if(a===P)return c}});c["[[InitializedIntlObject]]"]=!0;f=C(f);a=void 0===a?{}:p(a);var b=A(a,"type","string",new l("cardinal","ordinal"),"cardinal");c["[[type]]"]=b;b=new e;var d=A(a,"localeMatcher","string",new l("lookup","best fit"),"best fit");b["[[localeMatcher]]"]=
d;ja(z,a,0);void 0===z["[[maximumFractionDigits]]"]&&(z["[[maximumFractionDigits]]"]=Math.max(z["[[minimumFractionDigits]]"],3));a=X(z.PluralRules["[[availableLocales]]"],f,b,z.PluralRules["[[relevantExtensionKeys]]"],z.PluralRules["[[localeData]]"]);c["[[locale]]"]=a["[[locale]]"];c["[[InitializedPluralRules]]"]=!0;return g}var h="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(g){return typeof g}:function(g){return g&&"function"===typeof Symbol&&g.constructor===Symbol&&g!==
Symbol.prototype?"symbol":typeof g},Oa=function(){var g="function"===typeof Symbol&&Symbol.for&&Symbol.for("react.element")||60103;return function(f,a,c,b){var d=f&&f.defaultProps,e=arguments.length-3;a||0===e||(a={});if(a&&d)for(var k in d)void 0===a[k]&&(a[k]=d[k]);else a||(a=d||{});if(1===e)a.children=b;else if(1<e){d=Array(e);for(k=0;k<e;k++)d[k]=arguments[k+3];a.children=d}return{$$typeof:g,type:f,key:void 0===c?null:""+c,ref:null,props:a,_owner:null}}}(),Pa=function(){function g(a){this.value=
a}function f(a){function c(d,f){try{var e=a[d](f),k=e.value;k instanceof g?Promise.resolve(k.value).then(function(a){c("next",a)},function(a){c("throw",a)}):b(e.done?"return":"normal",e.value)}catch(Ca){b("throw",Ca)}}function b(a,b){switch(a){case "return":d.resolve({value:b,done:!0});break;case "throw":d.reject(b);break;default:d.resolve({value:b,done:!1})}(d=d.next)?c(d.key,d.arg):f=null}var d,f;this._invoke=function(a,b){return new Promise(function(g,e){g={key:a,arg:b,resolve:g,reject:e,next:null};
f?f=f.next=g:(d=f=g,c(a,b))})};"function"!==typeof a.return&&(this.return=void 0)}"function"===typeof Symbol&&Symbol.asyncIterator&&(f.prototype[Symbol.asyncIterator]=function(){return this});f.prototype.next=function(a){return this._invoke("next",a)};f.prototype.throw=function(a){return this._invoke("throw",a)};f.prototype.return=function(a){return this._invoke("return",a)};return{wrap:function(a){return function(){return new f(a.apply(this,arguments))}},await:function(a){return new g(a)}}}(),Qa=
function(){function g(f,a){for(var c=0;c<a.length;c++){var b=a[c];b.enumerable=b.enumerable||!1;b.configurable=!0;"value"in b&&(b.writable=!0);Object.defineProperty(f,b.key,b)}}return function(f,a,c){a&&g(f.prototype,a);c&&g(f,c);return f}}(),S=function(g,f,a){f in g?Object.defineProperty(g,f,{value:a,enumerable:!0,configurable:!0,writable:!0}):g[f]=a;return g},Ra=Object.assign||function(g){for(var f=1;f<arguments.length;f++){var a=arguments[f],c;for(c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(g[c]=a[c])}return g},Sa="undefined"===typeof global?self:global,Ta=function(){return function(g,f){if(Array.isArray(g))return g;if(Symbol.iterator in Object(g)){var a=[],c=!0,b=!1,d=void 0;try{for(var e=g[Symbol.iterator](),k;!(c=(k=e.next()).done)&&(a.push(k.value),!f||a.length!==f);c=!0);}catch(fa){b=!0,d=fa}finally{try{if(!c&&e["return"])e["return"]()}finally{if(b)throw d;}}return a}throw new TypeError("Invalid attempt to destructure non-iterable instance");}}(),D=Object.freeze({jsx:Oa,asyncIterator:function(g){if("function"===
typeof Symbol){if(Symbol.asyncIterator){var f=g[Symbol.asyncIterator];if(null!=f)return f.call(g)}if(Symbol.iterator)return g[Symbol.iterator]()}throw new TypeError("Object is not async iterable");},asyncGenerator:Pa,asyncGeneratorDelegate:function(g,f){function a(a,c){b=!0;c=new Promise(function(b){b(g[a](c))});return{done:!1,value:f(c)}}var c={},b=!1;"function"===typeof Symbol&&Symbol.iterator&&(c[Symbol.iterator]=function(){return this});c.next=function(c){return b?(b=!1,c):a("next",c)};"function"===
typeof g.throw&&(c.throw=function(c){if(b)throw b=!1,c;return a("throw",c)});"function"===typeof g.return&&(c.return=function(b){return a("return",b)});return c},asyncToGenerator:function(g){return function(){var f=g.apply(this,arguments);return new Promise(function(a,c){function b(d,g){try{var e=f[d](g),h=e.value}catch(Ba){c(Ba);return}if(e.done)a(h);else return Promise.resolve(h).then(function(a){b("next",a)},function(a){b("throw",a)})}return b("next")})}},classCallCheck:function(g,f){if(!(g instanceof
f))throw new TypeError("Cannot call a class as a function");},createClass:Qa,defineEnumerableProperties:function(g,f){for(var a in f){var c=f[a];c.configurable=c.enumerable=!0;"value"in c&&(c.writable=!0);Object.defineProperty(g,a,c)}return g},defaults:function(g,f){for(var a=Object.getOwnPropertyNames(f),c=0;c<a.length;c++){var b=a[c],d=Object.getOwnPropertyDescriptor(f,b);d&&d.configurable&&void 0===g[b]&&Object.defineProperty(g,b,d)}return g},defineProperty:S,get:function b(f,a,c){null===f&&(f=
Function.prototype);var d=Object.getOwnPropertyDescriptor(f,a);if(void 0===d){if(f=Object.getPrototypeOf(f),null!==f)return b(f,a,c)}else{if("value"in d)return d.value;a=d.get;return void 0===a?void 0:a.call(c)}},inherits:function(f,a){if("function"!==typeof a&&null!==a)throw new TypeError("Super expression must either be null or a function, not "+typeof a);f.prototype=Object.create(a&&a.prototype,{constructor:{value:f,enumerable:!1,writable:!0,configurable:!0}});a&&(Object.setPrototypeOf?Object.setPrototypeOf(f,
a):f.__proto__=a)},interopRequireDefault:function(f){return f&&f.__esModule?f:{default:f}},interopRequireWildcard:function(f){if(f&&f.__esModule)return f;var a={};if(null!=f)for(var c in f)Object.prototype.hasOwnProperty.call(f,c)&&(a[c]=f[c]);a.default=f;return a},newArrowCheck:function(f,a){if(f!==a)throw new TypeError("Cannot instantiate an arrow function");},objectDestructuringEmpty:function(f){if(null==f)throw new TypeError("Cannot destructure undefined");},objectWithoutProperties:function(f,
a){var c={},b;for(b in f)0<=a.indexOf(b)||Object.prototype.hasOwnProperty.call(f,b)&&(c[b]=f[b]);return c},possibleConstructorReturn:function(f,a){if(!f)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!a||"object"!==typeof a&&"function"!==typeof a?f:a},selfGlobal:Sa,set:function r(a,c,b,d){var e=Object.getOwnPropertyDescriptor(a,c);void 0===e?(a=Object.getPrototypeOf(a),null!==a&&r(a,c,b,d)):"value"in e&&e.writable?e.value=b:(c=e.set,void 0!==c&&c.call(d,
b));return b},slicedToArray:Ta,slicedToArrayLoose:function(a,c){if(Array.isArray(a))return a;if(Symbol.iterator in Object(a)){var b=[];a=a[Symbol.iterator]();for(var d;!(d=a.next()).done&&(b.push(d.value),!c||b.length!==c););return b}throw new TypeError("Invalid attempt to destructure non-iterable instance");},taggedTemplateLiteral:function(a,c){return Object.freeze(Object.defineProperties(a,{raw:{value:Object.freeze(c)}}))},taggedTemplateLiteralLoose:function(a,c){a.raw=c;return a},temporalRef:function(a,
c,b){if(a===b)throw new ReferenceError(c+" is not defined - temporal dead zone");return a},temporalUndefined:{},toArray:function(a){return Array.isArray(a)?a:Array.from(a)},toConsumableArray:function(a){if(Array.isArray(a)){for(var c=0,b=Array(a.length);c<a.length;c++)b[c]=a[c];return b}return Array.from(a)},typeof:h,extends:Ra,instanceof:function(a,c){return null!=c&&"undefined"!==typeof Symbol&&c[Symbol.hasInstance]?c[Symbol.hasInstance](a):a instanceof c}});h=function(){var a=function(){};try{return Object.defineProperty(a,
"a",{get:function(){return 1}}),Object.defineProperty(a,"prototype",{writable:!1}),1===a.a&&a.prototype instanceof Object}catch(c){return!1}}();var la=!h&&!Object.prototype.__defineGetter__,q=Object.prototype.hasOwnProperty,w=h?Object.defineProperty:function(a,c,b){if("get"in b&&a.__defineGetter__)a.__defineGetter__(c,b.get);else if(!q.call(a,c)||"value"in b)a[c]=b.value},J=Array.prototype.indexOf||function(a,c){if(!this.length)return-1;c=c||0;for(var b=this.length;c<b;c++)if(this[c]===a)return c;
return-1},E=Object.create||function(a,c){function b(){}var d=void 0;b.prototype=a;d=new b;for(var e in c)q.call(c,e)&&w(d,e,c[e]);return d},O=Array.prototype.slice,Ua=Array.prototype.concat,x=Array.prototype.push,F=Array.prototype.join,pa=Array.prototype.shift,Q=Function.prototype.bind||function(a){var c=this,b=O.call(arguments,1);return function(){return c.apply(a,Ua.call(b,O.call(arguments)))}},z=E(null),P=Math.random();e.prototype=E(null);l.prototype=E(null);var xa=/^(?:(?:[a-z]{2,3}(?:-[a-z]{3}(?:-[a-z]{3}){0,2})?|[a-z]{4}|[a-z]{5,8})(?:-[a-z]{4})?(?:-(?:[a-z]{2}|\d{3}))?(?:-(?:[a-z0-9]{5,8}|\d[a-z0-9]{3}))*(?:-[0-9a-wy-z](?:-[a-z0-9]{2,8})+)*(?:-x(?:-[a-z0-9]{1,8})+)?|x(?:-[a-z0-9]{1,8})+|(?:(?:en-GB-oed|i-(?:ami|bnn|default|enochian|hak|klingon|lux|mingo|navajo|pwn|tao|tay|tsu)|sgn-(?:BE-FR|BE-NL|CH-DE))|(?:art-lojban|cel-gaulish|no-bok|no-nyn|zh-(?:guoyu|hakka|min|min-nan|xiang))))$/i,
ya=/^(?!x).*?-((?:[a-z0-9]{5,8}|\d[a-z0-9]{3}))-(?:\w{4,8}-(?!x-))*\1\b/i,za=/^(?!x).*?-([0-9a-wy-z])-(?:\w+-(?!x-))*\1\b/i,ha=/-[0-9a-wy-z](?:-[a-z0-9]{2,8})+/ig,aa=void 0,L={tags:{"art-lojban":"jbo","i-ami":"ami","i-bnn":"bnn","i-hak":"hak","i-klingon":"tlh","i-lux":"lb","i-navajo":"nv","i-pwn":"pwn","i-tao":"tao","i-tay":"tay","i-tsu":"tsu","no-bok":"nb","no-nyn":"nn","sgn-BE-FR":"sfb","sgn-BE-NL":"vgt","sgn-CH-DE":"sgg","zh-guoyu":"cmn","zh-hakka":"hak","zh-min-nan":"nan","zh-xiang":"hsn","sgn-BR":"bzs",
"sgn-CO":"csn","sgn-DE":"gsg","sgn-DK":"dsl","sgn-ES":"ssp","sgn-FR":"fsl","sgn-GB":"bfi","sgn-GR":"gss","sgn-IE":"isg","sgn-IT":"ise","sgn-JP":"jsl","sgn-MX":"mfs","sgn-NI":"ncs","sgn-NL":"dse","sgn-NO":"nsl","sgn-PT":"psr","sgn-SE":"swl","sgn-US":"ase","sgn-ZA":"sfs","zh-cmn":"cmn","zh-cmn-Hans":"cmn-Hans","zh-cmn-Hant":"cmn-Hant","zh-gan":"gan","zh-wuu":"wuu","zh-yue":"yue"},subtags:{BU:"MM",DD:"DE",FX:"FR",TP:"TL",YD:"YE",ZR:"CD",heploc:"alalc97","in":"id",iw:"he",ji:"yi",jw:"jv",mo:"ro",ayx:"nun",
bjd:"drl",ccq:"rki",cjr:"mom",cka:"cmr",cmk:"xch",drh:"khk",drw:"prs",gav:"dev",hrr:"jal",ibi:"opa",kgh:"kml",lcq:"ppr",mst:"mry",myt:"mry",sca:"hle",tie:"ras",tkk:"twm",tlw:"weo",tnf:"prs",ybd:"rki",yma:"lrr"},extLang:{aao:["aao","ar"],abh:["abh","ar"],abv:["abv","ar"],acm:["acm","ar"],acq:["acq","ar"],acw:["acw","ar"],acx:["acx","ar"],acy:["acy","ar"],adf:["adf","ar"],ads:["ads","sgn"],aeb:["aeb","ar"],aec:["aec","ar"],aed:["aed","sgn"],aen:["aen","sgn"],afb:["afb","ar"],afg:["afg","sgn"],ajp:["ajp",
"ar"],apc:["apc","ar"],apd:["apd","ar"],arb:["arb","ar"],arq:["arq","ar"],ars:["ars","ar"],ary:["ary","ar"],arz:["arz","ar"],ase:["ase","sgn"],asf:["asf","sgn"],asp:["asp","sgn"],asq:["asq","sgn"],asw:["asw","sgn"],auz:["auz","ar"],avl:["avl","ar"],ayh:["ayh","ar"],ayl:["ayl","ar"],ayn:["ayn","ar"],ayp:["ayp","ar"],bbz:["bbz","ar"],bfi:["bfi","sgn"],bfk:["bfk","sgn"],bjn:["bjn","ms"],bog:["bog","sgn"],bqn:["bqn","sgn"],bqy:["bqy","sgn"],btj:["btj","ms"],bve:["bve","ms"],bvl:["bvl","sgn"],bvu:["bvu",
"ms"],bzs:["bzs","sgn"],cdo:["cdo","zh"],cds:["cds","sgn"],cjy:["cjy","zh"],cmn:["cmn","zh"],coa:["coa","ms"],cpx:["cpx","zh"],csc:["csc","sgn"],csd:["csd","sgn"],cse:["cse","sgn"],csf:["csf","sgn"],csg:["csg","sgn"],csl:["csl","sgn"],csn:["csn","sgn"],csq:["csq","sgn"],csr:["csr","sgn"],czh:["czh","zh"],czo:["czo","zh"],doq:["doq","sgn"],dse:["dse","sgn"],dsl:["dsl","sgn"],dup:["dup","ms"],ecs:["ecs","sgn"],esl:["esl","sgn"],esn:["esn","sgn"],eso:["eso","sgn"],eth:["eth","sgn"],fcs:["fcs","sgn"],
fse:["fse","sgn"],fsl:["fsl","sgn"],fss:["fss","sgn"],gan:["gan","zh"],gds:["gds","sgn"],gom:["gom","kok"],gse:["gse","sgn"],gsg:["gsg","sgn"],gsm:["gsm","sgn"],gss:["gss","sgn"],gus:["gus","sgn"],hab:["hab","sgn"],haf:["haf","sgn"],hak:["hak","zh"],hds:["hds","sgn"],hji:["hji","ms"],hks:["hks","sgn"],hos:["hos","sgn"],hps:["hps","sgn"],hsh:["hsh","sgn"],hsl:["hsl","sgn"],hsn:["hsn","zh"],icl:["icl","sgn"],ils:["ils","sgn"],inl:["inl","sgn"],ins:["ins","sgn"],ise:["ise","sgn"],isg:["isg","sgn"],isr:["isr",
"sgn"],jak:["jak","ms"],jax:["jax","ms"],jcs:["jcs","sgn"],jhs:["jhs","sgn"],jls:["jls","sgn"],jos:["jos","sgn"],jsl:["jsl","sgn"],jus:["jus","sgn"],kgi:["kgi","sgn"],knn:["knn","kok"],kvb:["kvb","ms"],kvk:["kvk","sgn"],kvr:["kvr","ms"],kxd:["kxd","ms"],lbs:["lbs","sgn"],lce:["lce","ms"],lcf:["lcf","ms"],liw:["liw","ms"],lls:["lls","sgn"],lsg:["lsg","sgn"],lsl:["lsl","sgn"],lso:["lso","sgn"],lsp:["lsp","sgn"],lst:["lst","sgn"],lsy:["lsy","sgn"],ltg:["ltg","lv"],lvs:["lvs","lv"],lzh:["lzh","zh"],max:["max",
"ms"],mdl:["mdl","sgn"],meo:["meo","ms"],mfa:["mfa","ms"],mfb:["mfb","ms"],mfs:["mfs","sgn"],min:["min","ms"],mnp:["mnp","zh"],mqg:["mqg","ms"],mre:["mre","sgn"],msd:["msd","sgn"],msi:["msi","ms"],msr:["msr","sgn"],mui:["mui","ms"],mzc:["mzc","sgn"],mzg:["mzg","sgn"],mzy:["mzy","sgn"],nan:["nan","zh"],nbs:["nbs","sgn"],ncs:["ncs","sgn"],nsi:["nsi","sgn"],nsl:["nsl","sgn"],nsp:["nsp","sgn"],nsr:["nsr","sgn"],nzs:["nzs","sgn"],okl:["okl","sgn"],orn:["orn","ms"],ors:["ors","ms"],pel:["pel","ms"],pga:["pga",
"ar"],pks:["pks","sgn"],prl:["prl","sgn"],prz:["prz","sgn"],psc:["psc","sgn"],psd:["psd","sgn"],pse:["pse","ms"],psg:["psg","sgn"],psl:["psl","sgn"],pso:["pso","sgn"],psp:["psp","sgn"],psr:["psr","sgn"],pys:["pys","sgn"],rms:["rms","sgn"],rsi:["rsi","sgn"],rsl:["rsl","sgn"],sdl:["sdl","sgn"],sfb:["sfb","sgn"],sfs:["sfs","sgn"],sgg:["sgg","sgn"],sgx:["sgx","sgn"],shu:["shu","ar"],slf:["slf","sgn"],sls:["sls","sgn"],sqk:["sqk","sgn"],sqs:["sqs","sgn"],ssh:["ssh","ar"],ssp:["ssp","sgn"],ssr:["ssr","sgn"],
svk:["svk","sgn"],swc:["swc","sw"],swh:["swh","sw"],swl:["swl","sgn"],syy:["syy","sgn"],tmw:["tmw","ms"],tse:["tse","sgn"],tsm:["tsm","sgn"],tsq:["tsq","sgn"],tss:["tss","sgn"],tsy:["tsy","sgn"],tza:["tza","sgn"],ugn:["ugn","sgn"],ugy:["ugy","sgn"],ukl:["ukl","sgn"],uks:["uks","sgn"],urk:["urk","ms"],uzn:["uzn","uz"],uzs:["uzs","uz"],vgt:["vgt","sgn"],vkk:["vkk","ms"],vkt:["vkt","ms"],vsi:["vsi","sgn"],vsl:["vsl","sgn"],vsv:["vsv","sgn"],wuu:["wuu","zh"],xki:["xki","sgn"],xml:["xml","sgn"],xmm:["xmm",
"ms"],xms:["xms","sgn"],yds:["yds","sgn"],ysl:["ysl","sgn"],yue:["yue","zh"],zib:["zib","sgn"],zlm:["zlm","ms"],zmi:["zmi","ms"],zsl:["zsl","sgn"],zsm:["zsm","ms"]}},Aa=/^[A-Z]{3}$/,Z=/-u(?:-[0-9a-z]{2,8})+/gi,t={};Object.defineProperty(t,"getCanonicalLocales",{enumerable:!1,configurable:!0,writable:!0,value:function(a){a=C(a);for(var c=[],b=a.length,d=0;d<b;)c[d]=a[d],d++;return c}});var ka={BHD:3,BYR:0,XOF:0,BIF:0,XAF:0,CLF:4,CLP:0,KMF:0,DJF:0,XPF:0,GNF:0,ISK:0,IQD:3,JPY:0,JOD:3,KRW:0,KWD:3,LYD:3,
OMR:3,PYG:0,RWF:0,TND:3,UGX:0,UYI:0,VUV:0,VND:0};w(t,"NumberFormat",{configurable:!0,writable:!0,value:ia});w(t.NumberFormat,"prototype",{writable:!1});z.NumberFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["nu"],"[[localeData]]":{}};w(t.NumberFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Q.call(function(a,c){if(!q.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var b=n(),d=this["[[availableLocales]]"];a=C(a);b();
return Y(d,a,c)},z.NumberFormat)});w(t.NumberFormat.prototype,"format",{configurable:!0,get:ma});Object.defineProperty(t.NumberFormat.prototype,"formatToParts",{configurable:!0,enumerable:!1,writable:!0,value:function(){var a=0<arguments.length&&void 0!==arguments[0]?arguments[0]:void 0,c=null!==this&&"object"===D["typeof"](this)&&v(this);if(!c||!c["[[initializedNumberFormat]]"])throw new TypeError("`this` value for formatToParts() is not an initialized Intl.NumberFormat object.");a=na(this,Number(a));
c=[];for(var b=0,d=0;a.length>d;d++){var e=a[d],k={};k.type=e["[[type]]"];k.value=e["[[value]]"];c[b]=k;b+=1}return c}});var oa={arab:"\u0660\u0661\u0662\u0663\u0664\u0665\u0666\u0667\u0668\u0669".split(""),arabext:"\u06f0\u06f1\u06f2\u06f3\u06f4\u06f5\u06f6\u06f7\u06f8\u06f9".split(""),bali:"\u1b50\u1b51\u1b52\u1b53\u1b54\u1b55\u1b56\u1b57\u1b58\u1b59".split(""),beng:"\u09e6\u09e7\u09e8\u09e9\u09ea\u09eb\u09ec\u09ed\u09ee\u09ef".split(""),deva:"\u0966\u0967\u0968\u0969\u096a\u096b\u096c\u096d\u096e\u096f".split(""),
fullwide:"\uff10\uff11\uff12\uff13\uff14\uff15\uff16\uff17\uff18\uff19".split(""),gujr:"\u0ae6\u0ae7\u0ae8\u0ae9\u0aea\u0aeb\u0aec\u0aed\u0aee\u0aef".split(""),guru:"\u0a66\u0a67\u0a68\u0a69\u0a6a\u0a6b\u0a6c\u0a6d\u0a6e\u0a6f".split(""),hanidec:"\u3007\u4e00\u4e8c\u4e09\u56db\u4e94\u516d\u4e03\u516b\u4e5d".split(""),khmr:"\u17e0\u17e1\u17e2\u17e3\u17e4\u17e5\u17e6\u17e7\u17e8\u17e9".split(""),knda:"\u0ce6\u0ce7\u0ce8\u0ce9\u0cea\u0ceb\u0cec\u0ced\u0cee\u0cef".split(""),laoo:"\u0ed0\u0ed1\u0ed2\u0ed3\u0ed4\u0ed5\u0ed6\u0ed7\u0ed8\u0ed9".split(""),
latn:"0123456789".split(""),limb:"\u1946\u1947\u1948\u1949\u194a\u194b\u194c\u194d\u194e\u194f".split(""),mlym:"\u0d66\u0d67\u0d68\u0d69\u0d6a\u0d6b\u0d6c\u0d6d\u0d6e\u0d6f".split(""),mong:"\u1810\u1811\u1812\u1813\u1814\u1815\u1816\u1817\u1818\u1819".split(""),mymr:"\u1040\u1041\u1042\u1043\u1044\u1045\u1046\u1047\u1048\u1049".split(""),orya:"\u0b66\u0b67\u0b68\u0b69\u0b6a\u0b6b\u0b6c\u0b6d\u0b6e\u0b6f".split(""),tamldec:"\u0be6\u0be7\u0be8\u0be9\u0bea\u0beb\u0bec\u0bed\u0bee\u0bef".split(""),telu:"\u0c66\u0c67\u0c68\u0c69\u0c6a\u0c6b\u0c6c\u0c6d\u0c6e\u0c6f".split(""),
thai:"\u0e50\u0e51\u0e52\u0e53\u0e54\u0e55\u0e56\u0e57\u0e58\u0e59".split(""),tibt:"\u0f20\u0f21\u0f22\u0f23\u0f24\u0f25\u0f26\u0f27\u0f28\u0f29".split("")};w(t.NumberFormat.prototype,"resolvedOptions",{configurable:!0,writable:!0,value:function(){var a,c=new e,b="locale numberingSystem style currency currencyDisplay minimumIntegerDigits minimumFractionDigits maximumFractionDigits minimumSignificantDigits maximumSignificantDigits useGrouping".split(" "),d=null!==this&&"object"===D["typeof"](this)&&
v(this);if(!d||!d["[[initializedNumberFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.NumberFormat object.");for(var h=0,k=b.length;h<k;h++)q.call(d,a="[["+b[h]+"]]")&&(c[b[h]]={value:d[a],writable:!0,configurable:!0,enumerable:!0});return E({},c)}});var sa=/(?:[Eec]{1,6}|G{1,5}|[Qq]{1,5}|(?:[yYur]+|U{1,5})|[ML]{1,5}|d{1,2}|D{1,3}|F{1}|[abB]{1,5}|[hkHK]{1,2}|w{1,2}|W{1}|m{1,2}|s{1,2}|[zZOvVxX]{1,4})(?=([^']*'[^']*')*[^']*$)/g,Ga=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,
Ha=/[rqQASjJgwWIQq]/,H="era year month day weekday quarter".split(" "),G=["hour","minute","second","hour12","timeZoneName"],ca={second:{numeric:"s","2-digit":"ss"},minute:{numeric:"m","2-digit":"mm"},year:{numeric:"y","2-digit":"yy"},day:{numeric:"d","2-digit":"dd"},month:{numeric:"L","2-digit":"LL",narrow:"LLLLL",short:"LLL",long:"LLLL"},weekday:{narrow:"ccccc",short:"ccc",long:"cccc"}},Ma=E(null,{narrow:{},short:{},long:{}});w(t,"DateTimeFormat",{configurable:!0,writable:!0,value:R});w(R,"prototype",
{writable:!1});var B={weekday:["narrow","short","long"],era:["narrow","short","long"],year:["2-digit","numeric"],month:["2-digit","numeric","narrow","short","long"],day:["2-digit","numeric"],hour:["2-digit","numeric"],minute:["2-digit","numeric"],second:["2-digit","numeric"],timeZoneName:["short","long"]};z.DateTimeFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["ca","nu"],"[[localeData]]":{}};w(t.DateTimeFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Q.call(function(a,
c){if(!q.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var b=n(),d=this["[[availableLocales]]"];a=C(a);b();return Y(d,a,c)},z.NumberFormat)});w(t.DateTimeFormat.prototype,"format",{configurable:!0,get:ta});Object.defineProperty(t.DateTimeFormat.prototype,"formatToParts",{enumerable:!1,writable:!0,configurable:!0,value:function(){var a=0<arguments.length&&void 0!==arguments[0]?arguments[0]:void 0,c=null!==this&&"object"===D["typeof"](this)&&v(this);
if(!c||!c["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for formatToParts() is not an initialized Intl.DateTimeFormat object.");a=void 0===a?Date.now():m(a);a=ua(this,a);c=[];for(var b=0;a.length>b;b++){var d=a[b];c.push({type:d.type,value:d.value})}return c}});w(t.DateTimeFormat.prototype,"resolvedOptions",{writable:!0,configurable:!0,value:function(){var a,c=new e,b="locale calendar numberingSystem timeZone hour12 weekday era year month day hour minute second timeZoneName".split(" "),
d=null!==this&&"object"===D["typeof"](this)&&v(this);if(!d||!d["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.DateTimeFormat object.");for(var h=0,k=b.length;h<k;h++)q.call(d,a="[["+b[h]+"]]")&&(c[b[h]]={value:d[a],writable:!0,configurable:!0,enumerable:!0});return E({},c)}});var I=t.__localeSensitiveProtos={Number:{},Date:{}};I.Number.toLocaleString=function(a,c){if("[object Number]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a number for Number.prototype.toLocaleString()");
return T(new ia(a,c),this)};I.Date.toLocaleString=function(a,c){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleString()");var b=+this;if(isNaN(b))return"Invalid Date";c=V(c,"any","all");a=new R(a,c);return W(a,b)};I.Date.toLocaleDateString=function(a,c){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleDateString()");
var b=+this;if(isNaN(b))return"Invalid Date";c=V(c,"date","date");a=new R(a,c);return W(a,b)};I.Date.toLocaleTimeString=function(a,c){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleTimeString()");var b=+this;if(isNaN(b))return"Invalid Date";c=V(c,"time","time");a=new R(a,c);return W(a,b)};h=[function(a,c){return"other"},function(a,c){return c?"other":1==a?"one":"other"},function(a,c){return c?"other":0==
a||1==a?"one":"other"},function(a,c){var b=!String(a).split(".")[1];return c?"other":1==a&&b?"one":"other"}];var wa={af:h[1],ak:h[2],am:function(a,c){return c?"other":0<=a&&1>=a?"one":"other"},ar:function(a,c){var b=String(a).split(".");b=Number(b[0])==a&&b[0].slice(-2);return c?"other":0==a?"zero":1==a?"one":2==a?"two":3<=b&&10>=b?"few":11<=b&&99>=b?"many":"other"},ars:function(a,c){var b=String(a).split(".");b=Number(b[0])==a&&b[0].slice(-2);return c?"other":0==a?"zero":1==a?"one":2==a?"two":3<=
b&&10>=b?"few":11<=b&&99>=b?"many":"other"},as:function(a,c){return c?1==a||5==a||7==a||8==a||9==a||10==a?"one":2==a||3==a?"two":4==a?"few":6==a?"many":"other":0<=a&&1>=a?"one":"other"},asa:h[1],ast:h[3],az:function(a,c){var b=String(a).split(".")[0],d=b.slice(-1),e=b.slice(-2),k=b.slice(-3);return c?1==d||2==d||5==d||7==d||8==d||20==e||50==e||70==e||80==e?"one":3==d||4==d||100==k||200==k||300==k||400==k||500==k||600==k||700==k||800==k||900==k?"few":0==b||6==d||40==e||60==e||90==e?"many":"other":
1==a?"one":"other"},be:function(a,c){var b=String(a).split("."),d=(a=Number(b[0])==a)&&b[0].slice(-1);b=a&&b[0].slice(-2);return c?2!=d&&3!=d||12==b||13==b?"other":"few":1==d&&11!=b?"one":2<=d&&4>=d&&(12>b||14<b)?"few":a&&0==d||5<=d&&9>=d||11<=b&&14>=b?"many":"other"},bem:h[1],bez:h[1],bg:h[1],bh:h[2],bm:h[0],bn:function(a,c){return c?1==a||5==a||7==a||8==a||9==a||10==a?"one":2==a||3==a?"two":4==a?"few":6==a?"many":"other":0<=a&&1>=a?"one":"other"},bo:h[0],br:function(a,c){var b=String(a).split("."),
d=Number(b[0])==a,e=d&&b[0].slice(-1),k=d&&b[0].slice(-2);b=d&&b[0].slice(-6);return c?"other":1==e&&11!=k&&71!=k&&91!=k?"one":2==e&&12!=k&&72!=k&&92!=k?"two":(3==e||4==e||9==e)&&(10>k||19<k)&&(70>k||79<k)&&(90>k||99<k)?"few":0!=a&&d&&0==b?"many":"other"},brx:h[1],bs:function(a,c){var b=String(a).split("."),d=b[0];a=b[1]||"";b=!b[1];var e=d.slice(-1);d=d.slice(-2);var k=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==e&&11!=d||1==k&&11!=a?"one":b&&2<=e&&4>=e&&(12>d||14<d)||2<=k&&4>=k&&(12>a||14<
a)?"few":"other"},ca:function(a,c){var b=!String(a).split(".")[1];return c?1==a||3==a?"one":2==a?"two":4==a?"few":"other":1==a&&b?"one":"other"},ce:h[1],cgg:h[1],chr:h[1],ckb:h[1],cs:function(a,c){var b=String(a).split("."),d=b[0];b=!b[1];return c?"other":1==a&&b?"one":2<=d&&4>=d&&b?"few":b?"other":"many"},cy:function(a,c){return c?0==a||7==a||8==a||9==a?"zero":1==a?"one":2==a?"two":3==a||4==a?"few":5==a||6==a?"many":"other":0==a?"zero":1==a?"one":2==a?"two":3==a?"few":6==a?"many":"other"},da:function(a,
c){var b=String(a).split("."),d=b[0];b=Number(b[0])==a;return c?"other":1!=a&&(b||0!=d&&1!=d)?"other":"one"},de:h[3],dsb:function(a,c){var b=String(a).split("."),d=b[1]||"";a=!b[1];b=b[0].slice(-2);d=d.slice(-2);return c?"other":a&&1==b||1==d?"one":a&&2==b||2==d?"two":a&&(3==b||4==b)||3==d||4==d?"few":"other"},dv:h[1],dz:h[0],ee:h[1],el:h[1],en:function(a,c){var b=String(a).split("."),d=!b[1],e=Number(b[0])==a,k=e&&b[0].slice(-1);b=e&&b[0].slice(-2);return c?1==k&&11!=b?"one":2==k&&12!=b?"two":3==
k&&13!=b?"few":"other":1==a&&d?"one":"other"},eo:h[1],es:h[1],et:h[3],eu:h[1],fa:function(a,c){return c?"other":0<=a&&1>=a?"one":"other"},ff:function(a,c){return c?"other":0<=a&&2>a?"one":"other"},fi:h[3],fil:function(a,c){var b=String(a).split("."),d=b[0],e=b[1]||"";b=!b[1];var k=d.slice(-1);e=e.slice(-1);return c?1==a?"one":"other":b&&(1==d||2==d||3==d)||b&&4!=k&&6!=k&&9!=k||!b&&4!=e&&6!=e&&9!=e?"one":"other"},fo:h[1],fr:function(a,c){return c?1==a?"one":"other":0<=a&&2>a?"one":"other"},fur:h[1],
fy:h[3],ga:function(a,c){var b=String(a).split(".");b=Number(b[0])==a;return c?1==a?"one":"other":1==a?"one":2==a?"two":b&&3<=a&&6>=a?"few":b&&7<=a&&10>=a?"many":"other"},gd:function(a,c){var b=String(a).split(".");b=Number(b[0])==a;return c?"other":1==a||11==a?"one":2==a||12==a?"two":b&&3<=a&&10>=a||b&&13<=a&&19>=a?"few":"other"},gl:h[3],gsw:h[1],gu:function(a,c){return c?1==a?"one":2==a||3==a?"two":4==a?"few":6==a?"many":"other":0<=a&&1>=a?"one":"other"},guw:h[2],gv:function(a,c){var b=String(a).split(".");
a=b[0];b=!b[1];var d=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==d?"one":b&&2==d?"two":!b||0!=a&&20!=a&&40!=a&&60!=a&&80!=a?b?"other":"many":"few"},ha:h[1],haw:h[1],he:function(a,c){var b=String(a).split("."),d=b[0],e=!b[1],k=Number(b[0])==a;b=k&&b[0].slice(-1);return c?"other":1==a&&e?"one":2==d&&e?"two":e&&(0>a||10<a)&&k&&0==b?"many":"other"},hi:function(a,c){return c?1==a?"one":2==a||3==a?"two":4==a?"few":6==a?"many":"other":0<=a&&1>=a?"one":"other"},hr:function(a,c){var b=String(a).split("."),
d=b[0];a=b[1]||"";b=!b[1];var e=d.slice(-1);d=d.slice(-2);var k=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==e&&11!=d||1==k&&11!=a?"one":b&&2<=e&&4>=e&&(12>d||14<d)||2<=k&&4>=k&&(12>a||14<a)?"few":"other"},hsb:function(a,c){var b=String(a).split("."),d=b[1]||"";a=!b[1];b=b[0].slice(-2);d=d.slice(-2);return c?"other":a&&1==b||1==d?"one":a&&2==b||2==d?"two":a&&(3==b||4==b)||3==d||4==d?"few":"other"},hu:function(a,c){return c?1==a||5==a?"one":"other":1==a?"one":"other"},hy:function(a,c){return c?
1==a?"one":"other":0<=a&&2>a?"one":"other"},id:h[0],ig:h[0],ii:h[0],"in":h[0],is:function(a,c){var b=String(a).split("."),d=b[0];a=Number(b[0])==a;b=d.slice(-1);d=d.slice(-2);return c?"other":a&&1==b&&11!=d||!a?"one":"other"},it:function(a,c){var b=!String(a).split(".")[1];return c?11==a||8==a||80==a||800==a?"many":"other":1==a&&b?"one":"other"},iu:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},iw:function(a,c){var b=String(a).split("."),d=b[0],e=!b[1],k=Number(b[0])==a;b=k&&b[0].slice(-1);
return c?"other":1==a&&e?"one":2==d&&e?"two":e&&(0>a||10<a)&&k&&0==b?"many":"other"},ja:h[0],jbo:h[0],jgo:h[1],ji:h[3],jmc:h[1],jv:h[0],jw:h[0],ka:function(a,c){var b=String(a).split(".")[0],d=b.slice(-2);return c?1==b?"one":0==b||2<=d&&20>=d||40==d||60==d||80==d?"many":"other":1==a?"one":"other"},kab:function(a,c){return c?"other":0<=a&&2>a?"one":"other"},kaj:h[1],kcg:h[1],kde:h[0],kea:h[0],kk:function(a,c){var b=String(a).split("."),d=Number(b[0])==a;b=d&&b[0].slice(-1);return c?6==b||9==b||d&&
0==b&&0!=a?"many":"other":1==a?"one":"other"},kkj:h[1],kl:h[1],km:h[0],kn:function(a,c){return c?"other":0<=a&&1>=a?"one":"other"},ko:h[0],ks:h[1],ksb:h[1],ksh:function(a,c){return c?"other":0==a?"zero":1==a?"one":"other"},ku:h[1],kw:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},ky:h[1],lag:function(a,c){var b=String(a).split(".")[0];return c?"other":0==a?"zero":0!=b&&1!=b||0==a?"other":"one"},lb:h[1],lg:h[1],lkt:h[0],ln:h[2],lo:function(a,c){return c?1==a?"one":"other":"other"},lt:function(a,
c){var b=String(a).split("."),d=b[1]||"",e=Number(b[0])==a;a=e&&b[0].slice(-1);b=e&&b[0].slice(-2);return c?"other":1==a&&(11>b||19<b)?"one":2<=a&&9>=a&&(11>b||19<b)?"few":0!=d?"many":"other"},lv:function(a,c){var b=String(a).split("."),d=b[1]||"",e=d.length,k=(a=Number(b[0])==a)&&b[0].slice(-1);b=a&&b[0].slice(-2);var h=d.slice(-2);d=d.slice(-1);return c?"other":a&&0==k||11<=b&&19>=b||2==e&&11<=h&&19>=h?"zero":1==k&&11!=b||2==e&&1==d&&11!=h||2!=e&&1==d?"one":"other"},mas:h[1],mg:h[2],mgo:h[1],mk:function(a,
c){var b=String(a).split("."),d=b[0];a=b[1]||"";b=!b[1];var e=d.slice(-1);d=d.slice(-2);a=a.slice(-1);return c?1==e&&11!=d?"one":2==e&&12!=d?"two":7!=e&&8!=e||17==d||18==d?"other":"many":b&&1==e||1==a?"one":"other"},ml:h[1],mn:h[1],mo:function(a,c){var b=String(a).split("."),d=!b[1];b=Number(b[0])==a&&b[0].slice(-2);return c?1==a?"one":"other":1==a&&d?"one":!d||0==a||1!=a&&1<=b&&19>=b?"few":"other"},mr:function(a,c){return c?1==a?"one":2==a||3==a?"two":4==a?"few":"other":0<=a&&1>=a?"one":"other"},
ms:function(a,c){return c?1==a?"one":"other":"other"},mt:function(a,c){var b=String(a).split(".");b=Number(b[0])==a&&b[0].slice(-2);return c?"other":1==a?"one":0==a||2<=b&&10>=b?"few":11<=b&&19>=b?"many":"other"},my:h[0],nah:h[1],naq:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},nb:h[1],nd:h[1],ne:function(a,c){var b=String(a).split(".");b=Number(b[0])==a;return c?b&&1<=a&&4>=a?"one":"other":1==a?"one":"other"},nl:h[3],nn:h[1],nnh:h[1],no:h[1],nqo:h[0],nr:h[1],nso:h[2],ny:h[1],nyn:h[1],
om:h[1],or:h[1],os:h[1],pa:h[2],pap:h[1],pl:function(a,c){var b=String(a).split("."),d=b[0];b=!b[1];var e=d.slice(-1),h=d.slice(-2);return c?"other":1==a&&b?"one":b&&2<=e&&4>=e&&(12>h||14<h)?"few":b&&1!=d&&(0==e||1==e)||b&&5<=e&&9>=e||b&&12<=h&&14>=h?"many":"other"},prg:function(a,c){var b=String(a).split("."),d=b[1]||"",e=d.length,h=(a=Number(b[0])==a)&&b[0].slice(-1);b=a&&b[0].slice(-2);var l=d.slice(-2);d=d.slice(-1);return c?"other":a&&0==h||11<=b&&19>=b||2==e&&11<=l&&19>=l?"zero":1==h&&11!=b||
2==e&&1==d&&11!=l||2!=e&&1==d?"one":"other"},ps:h[1],pt:function(a,c){var b=String(a).split(".");return c?"other":Number(b[0])==a&&0<=a&&2>=a&&2!=a?"one":"other"},"pt-PT":h[3],rm:h[1],ro:function(a,c){var b=String(a).split("."),d=!b[1];b=Number(b[0])==a&&b[0].slice(-2);return c?1==a?"one":"other":1==a&&d?"one":!d||0==a||1!=a&&1<=b&&19>=b?"few":"other"},rof:h[1],root:h[0],ru:function(a,c){var b=String(a).split(".");a=b[0];b=!b[1];var d=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==d&&11!=a?"one":
b&&2<=d&&4>=d&&(12>a||14<a)?"few":b&&0==d||b&&5<=d&&9>=d||b&&11<=a&&14>=a?"many":"other"},rwk:h[1],sah:h[0],saq:h[1],sdh:h[1],se:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},seh:h[1],ses:h[0],sg:h[0],sh:function(a,c){var b=String(a).split("."),d=b[0];a=b[1]||"";b=!b[1];var e=d.slice(-1);d=d.slice(-2);var h=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==e&&11!=d||1==h&&11!=a?"one":b&&2<=e&&4>=e&&(12>d||14<d)||2<=h&&4>=h&&(12>a||14<a)?"few":"other"},shi:function(a,c){var b=String(a).split(".");
b=Number(b[0])==a;return c?"other":0<=a&&1>=a?"one":b&&2<=a&&10>=a?"few":"other"},si:function(a,c){var b=String(a).split("."),d=b[0];b=b[1]||"";return c?"other":0==a||1==a||0==d&&1==b?"one":"other"},sk:function(a,c){var b=String(a).split("."),d=b[0];b=!b[1];return c?"other":1==a&&b?"one":2<=d&&4>=d&&b?"few":b?"other":"many"},sl:function(a,c){var b=String(a).split(".");a=!b[1];b=b[0].slice(-2);return c?"other":a&&1==b?"one":a&&2==b?"two":a&&(3==b||4==b)||!a?"few":"other"},sma:function(a,c){return c?
"other":1==a?"one":2==a?"two":"other"},smi:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},smj:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},smn:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},sms:function(a,c){return c?"other":1==a?"one":2==a?"two":"other"},sn:h[1],so:h[1],sq:function(a,c){var b=String(a).split("."),d=Number(b[0])==a,e=d&&b[0].slice(-1);b=d&&b[0].slice(-2);return c?1==a?"one":4==e&&14!=b?"many":"other":1==a?"one":"other"},sr:function(a,
c){var b=String(a).split("."),d=b[0];a=b[1]||"";b=!b[1];var e=d.slice(-1);d=d.slice(-2);var h=a.slice(-1);a=a.slice(-2);return c?"other":b&&1==e&&11!=d||1==h&&11!=a?"one":b&&2<=e&&4>=e&&(12>d||14<d)||2<=h&&4>=h&&(12>a||14<a)?"few":"other"},ss:h[1],ssy:h[1],st:h[1],sv:function(a,c){var b=String(a).split("."),d=!b[1],e=Number(b[0])==a,h=e&&b[0].slice(-1);b=e&&b[0].slice(-2);return c?1!=h&&2!=h||11==b||12==b?"other":"one":1==a&&d?"one":"other"},sw:h[3],syr:h[1],ta:h[1],te:h[1],teo:h[1],th:h[0],ti:h[2],
tig:h[1],tk:h[1],tl:function(a,c){var b=String(a).split("."),d=b[0],e=b[1]||"";b=!b[1];var h=d.slice(-1);e=e.slice(-1);return c?1==a?"one":"other":b&&(1==d||2==d||3==d)||b&&4!=h&&6!=h&&9!=h||!b&&4!=e&&6!=e&&9!=e?"one":"other"},tn:h[1],to:h[0],tr:h[1],ts:h[1],tzm:function(a,c){var b=String(a).split(".");b=Number(b[0])==a;return c?"other":0==a||1==a||b&&11<=a&&99>=a?"one":"other"},ug:h[1],uk:function(a,c){var b=String(a).split("."),d=b[0],e=!b[1],h=Number(b[0])==a;a=h&&b[0].slice(-1);b=h&&b[0].slice(-2);
h=d.slice(-1);d=d.slice(-2);return c?3==a&&13!=b?"few":"other":e&&1==h&&11!=d?"one":e&&2<=h&&4>=h&&(12>d||14<d)?"few":e&&0==h||e&&5<=h&&9>=h||e&&11<=d&&14>=d?"many":"other"},ur:h[3],uz:h[1],ve:h[1],vi:function(a,c){return c?1==a?"one":"other":"other"},vo:h[1],vun:h[1],wa:h[2],wae:h[1],wo:h[0],xh:h[1],xog:h[1],yi:h[3],yo:h[0],yue:h[0],zh:h[0],zu:function(a,c){return c?"other":0<=a&&1>=a?"one":"other"}};w(t,"PluralRules",{configurable:!0,writable:!0,value:va});w(va,"prototype",{writable:!1});z.PluralRules=
{"[[availableLocales]]":Object.keys(wa),"[[relevantExtensionKeys]]":[],"[[localeData]]":{}};w(t.PluralRules,"supportedLocalesOf",{configurable:!0,writable:!0,value:Q.call(function(a,c){if(!q.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var b=n(),d=this["[[availableLocales]]"];a=C(a);b();return Y(d,a,c)},z.PluralRules)});w(t.PluralRules.prototype,"select",{configurable:!0,value:function(a){a=Number(a);if(Number.isFinite(a)){var c=v(this);b:{var b=
c["[[type]]"];for(c=c["[[locale]]"];c;c=c.replace(/[-_]?[^-_]*$/,"")){var d=wa[c];if(d){a=d(a,"ordinal"===b);break b}}a="other"}}else a="other";return a}});w(t.PluralRules.prototype,"resolvedOptions",{configurable:!0,writable:!0,value:function(){var a,c=new e,b="locale type minimumIntegerDigits minimumFractionDigits maximumFractionDigits minimumSignificantDigits maximumSignificantDigits".split(" "),d=null!==this&&"object"===D["typeof"](this)&&v(this);if(!d||!d["[[InitializedPluralRules]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.PluralRules object.");
for(var h=0,k=b.length;h<k;h++)q.call(d,a="[["+b[h]+"]]")&&(c[b[h]]={value:d[a],writable:!0,configurable:!0,enumerable:!0});return E({},c)}});w(t,"__applyLocaleSensitivePrototypes",{writable:!0,configurable:!0,value:function(){w(Number.prototype,"toLocaleString",{writable:!0,configurable:!0,value:I.Number.toLocaleString});w(Date.prototype,"toLocaleString",{writable:!0,configurable:!0,value:I.Date.toLocaleString});for(var a in I.Date)q.call(I.Date,a)&&w(Date.prototype,a,{writable:!0,configurable:!0,
value:I.Date[a]})}});w(t,"__addLocaleData",{value:function(a){if(!da(a.locale))throw Error('Invalid language tag "'+a.locale+'" when calling __addLocaleData("'+a.locale+'", ...) to register new locale data.');var c=a.locale;if(!a.number)throw Error("Object passed doesn't contain locale data for Intl.NumberFormat");var b=[c];var d=c.split("-");for(2<d.length&&4===d[1].length&&x.call(b,d[0]+"-"+d[2]);d=pa.call(b);)x.call(z.NumberFormat["[[availableLocales]]"],d),z.NumberFormat["[[localeData]]"][d]=
a.number,a.date&&(a.date.nu=a.number.nu,x.call(z.DateTimeFormat["[[availableLocales]]"],d),z.DateTimeFormat["[[localeData]]"][d]=a.date);void 0===aa&&(aa=c)}});w(t,"__disableRegExpRestore",{value:function(){z.disableRegExpRestore=!0}});if("undefined"===typeof Intl)try{window.Intl=t,t.__applyLocaleSensitivePrototypes()}catch(a){}return t});
